Package org.eclipse.ui

## Interface IWorkbenchWindowActionDelegate

All Superinterfaces:
  `IActionDelegate`

All Known Subinterfaces:
  `IWorkbenchWindowPulldownDelegate`, `IWorkbenchWindowPulldownDelegate2`

All Known Implementing Classes:
  `AbstractLaunchHistoryAction`, `AbstractLaunchToolbarAction`, `ApplyRefactoringScriptAction`, `CreateRefactoringScriptAction`, `FileBufferOperationAction`, `GotoLastEditPositionAction`, `LaunchAsAction`, `LaunchShortcutsAction`, `LaunchURL`, `OpenLaunchDialogAction`, `RedoRefactoringAction`, `RelaunchLastAction`, `ShowRefactoringHistoryAction`, `org.eclipse.ltk.internal.ui.refactoring.UndoManagerAction`, `UndoRefactoringAction`

    public interface IWorkbenchWindowActionDelegate
    extends IActionDelegate

Interface for an action that is contributed into the workbench window menu or tool bar. It extends `IActionDelegate` and adds an initialization method for connecting the delegate to the workbench window it should work with.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `dispose()` Disposes this action delegate.
`void` `init​(IWorkbenchWindow window)` Initializes this action delegate with the workbench window it will work in.

### Methods inherited from interface org.eclipse.ui.IActionDelegate

`run, selectionChanged`

### Method Detail

#### dispose

    void dispose()

Disposes this action delegate. The implementor should unhook any references to itself so that garbage collection can occur.

#### init

    void init​(IWorkbenchWindow window)

Initializes this action delegate with the workbench window it will work in.

Parameters:
  `window` - the window that provides the context for this delegate